Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface ISituation

All Known Implementing Classes:
  SituationImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface ISituation

The situation specifies the type of the situation that caused the event to be reported. The situation is the data that describes the situation or event reported by the event. The situation information includes a required set of properties or attributes that are common across products groups and platforms, yet architected and flexible to allow for adoption to product-specific requirements.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite

Field Summary
`static java.lang.String` | `AVAILABLE_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `CONFIGURE_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `CONNECT_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `CREATE_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `DEPENDENCY_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `DESTROY_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `FEATURE_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `OTHER_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `REPORT_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `REQUEST_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `START_SITUATION_CATEGORY` Deprecated.
`static java.lang.String` | `STOP_SITUATION_CATEGORY` Deprecated.

Method Summary
`java.lang.String` | `getCategoryName()` Deprecated. Returns the categoryName.
`ISituationType` | `getSituationType()` Deprecated. Returns the situationType.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `setAvailableSituation(java.lang.String reasoningScope, java.lang.String availabilityDisposition, java.lang.String operationDisposition, java.lang.String processingDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setCategoryName(java.lang.String categoryName)` Deprecated. Sets the categoryName.
`void` | `setConfigureSituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setConnectSituation(java.lang.String reasoningScope, java.lang.String situationDisposition, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setCreateSituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setDependencySituation(java.lang.String reasoningScope, java.lang.String dependencyDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setDestroySituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setFeatureSituation(java.lang.String reasoningScope, java.lang.String featureDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setOtherSituation(java.lang.String reasoningScope, java.lang.String any)` Deprecated. Helper method to set the specified situation.
`void` | `setReportSituation(java.lang.String reasoningScope, java.lang.String reportCategory)` Deprecated. Helper method to set the specified situation.
`void` | `setRequestSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setSituationType(ISituationType situationType)` Deprecated. Sets the situationType.
`void` | `setStartSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.
`void` | `setStopSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Deprecated. Helper method to set the specified situation.

Field Detail

### AVAILABLE_SITUATION_CATEGORY

    public static final java.lang.String AVAILABLE_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### CONFIGURE_SITUATION_CATEGORY

    public static final java.lang.String CONFIGURE_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### CONNECT_SITUATION_CATEGORY

    public static final java.lang.String CONNECT_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### CREATE_SITUATION_CATEGORY

    public static final java.lang.String CREATE_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### DEPENDENCY_SITUATION_CATEGORY

    public static final java.lang.String DEPENDENCY_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### DESTROY_SITUATION_CATEGORY

    public static final java.lang.String DESTROY_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### FEATURE_SITUATION_CATEGORY

    public static final java.lang.String FEATURE_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### OTHER_SITUATION_CATEGORY

    public static final java.lang.String OTHER_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### REPORT_SITUATION_CATEGORY

    public static final java.lang.String REPORT_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### REQUEST_SITUATION_CATEGORY

    public static final java.lang.String REQUEST_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### START_SITUATION_CATEGORY

    public static final java.lang.String START_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

### STOP_SITUATION_CATEGORY

    public static final java.lang.String STOP_SITUATION_CATEGORY

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getSituationType

    public ISituationType getSituationType()

  Deprecated.
  Returns the situationType. The situationType specifies the type of the situation that caused the event to be reported. See SituationType definition for details. This is an REQUIRED property.

  Returns:
    String The returned situationType.
  Since:
    1.0.1

### getCategoryName

    public java.lang.String getCategoryName()

  Deprecated.
  Returns the categoryName. The categoryName specifies the type of the situation that caused the event to be reported. The categoryName is a string and has the following set of values: StartSituation StopSituation ConnectSituation ConfigureSituation RequestSituation FeatureSituation DependencySituation CreateSituation DestroySituation ReportSituation AvailableSituation OtherSituation This is a REQUIRED property. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned categoryName.
  Since:
    1.0.1

### setSituationType

    public void setSituationType(ISituationType situationType)

  Deprecated.
  Sets the situationType. The situationType specifies the type of the situation that caused the event to be reported. See SituationType definition for details. This is an REQUIRED property.

  Parameters:
    `situationType` - The situationType to be set.
  Since:
    1.0.1

### setCategoryName

    public void setCategoryName(java.lang.String categoryName)

  Deprecated.
  Sets the categoryName. The categoryName specifies the type of the situation that caused the event to be reported. The categoryName is a string and has the following set of values: StartSituation StopSituation ConnectSituation ConfigureSituation RequestSituation FeatureSituation DependencySituation CreateSituation DestroySituation ReportSituation AvailableSituation OtherSituation This is a REQUIRED property. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `categoryName` - The categoryName to be set.
  Since:
    1.0.1

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

### setAvailableSituation

    public void setAvailableSituation(java.lang.String reasoningScope,
                                      java.lang.String availabilityDisposition,
                                      java.lang.String operationDisposition,
                                      java.lang.String processingDisposition)

  Deprecated.
  Helper method to set the specified situation.

### setConfigureSituation

    public void setConfigureSituation(java.lang.String reasoningScope,
                                      java.lang.String successDisposition)

  Deprecated.
  Helper method to set the specified situation.

### setConnectSituation

    public void setConnectSituation(java.lang.String reasoningScope,
                                    java.lang.String situationDisposition,
                                    java.lang.String successDisposition)

  Deprecated.
  Helper method to set the specified situation.

### setCreateSituation

    public void setCreateSituation(java.lang.String reasoningScope,
                                   java.lang.String successDisposition)

  Deprecated.
  Helper method to set the specified situation.

### setDependencySituation

    public void setDependencySituation(java.lang.String reasoningScope,
                                       java.lang.String dependencyDisposition)

  Deprecated.
  Helper method to set the specified situation.

### setDestroySituation

    public void setDestroySituation(java.lang.String reasoningScope,
                                    java.lang.String successDisposition)

  Deprecated.
  Helper method to set the specified situation.

### setFeatureSituation

    public void setFeatureSituation(java.lang.String reasoningScope,
                                    java.lang.String featureDisposition)

  Deprecated.
  Helper method to set the specified situation.

### setOtherSituation

    public void setOtherSituation(java.lang.String reasoningScope,
                                  java.lang.String any)

  Deprecated.
  Helper method to set the specified situation.

### setReportSituation

    public void setReportSituation(java.lang.String reasoningScope,
                                   java.lang.String reportCategory)

  Deprecated.
  Helper method to set the specified situation.

### setRequestSituation

    public void setRequestSituation(java.lang.String reasoningScope,
                                    java.lang.String situationQualifier,
                                    java.lang.String successDisposition)

  Deprecated.
  Helper method to set the specified situation.

### setStartSituation

    public void setStartSituation(java.lang.String reasoningScope,
                                  java.lang.String situationQualifier,
                                  java.lang.String successDisposition)

  Deprecated.
  Helper method to set the specified situation.

### setStopSituation

    public void setStopSituation(java.lang.String reasoningScope,
                                 java.lang.String situationQualifier,
                                 java.lang.String successDisposition)

  Deprecated.
  Helper method to set the specified situation.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD